<?php

// Copyright (c) 2020 NetApp, Inc.
// All rights reserved.


// Give warning for possible outage due to  burt 1168841
//SHow this warning only for 9.3->9.4, 9.3->9.5, 9.3->9.7 and 9.4->9.5 upgrades.


$alert_outage = "The current system version is susceptible to possible outage during NDU.";
$action_outage = "Please refer https://kb.netapp.com/Advice_and_Troubleshooting/Data_Storage_Software/ONTAP_OS/Looping_lock_manager_can_lead_to_NFS_outage_or_system_panic_on_ONTAP_9 and follow the steps to confirm and contact technical support.";
$advice_outage = "Please refer https://kb.netapp.com/Advice_and_Troubleshooting/Data_Storage_Software/ONTAP_OS/Looping_lock_manager_can_lead_to_NFS_outage_or_system_panic_on_ONTAP_9 and follow the steps to confirm and contact technical support.";

/* Susceptible versions
 *
$FT_GA = "9.3";
$FT_P1 = "9.3P1";
$FT_P2 = "9.3P2";
$FT_P3 = "9.3P3";
$FT_P4 = "9.3P4";
$FT_P5 = "9.3P5";
$FT_P6 = "9.3P6";

$KB_GA = "9.4";
$KB_P1 = "9.4P1";
$KB1_GA = "9.4.1";
$KB1_P1 = "9.4.1P1";

}*/

$susp_rlses = array ("9.3","9.3P1","9.3P2","9.3P3","9.3P4","9.3P5","9.3P6","9.4","9.4P1","9.4.1","9.4.1P1");



foreach( $susp_rlses as $release ){
           $query = "SELECT version FROM software_image WHERE iscurrent = true AND version = '".$release."'";
           $result = dotsql_query($query);
           if (dotsql_num_rows($result) > 0) {
                echo "<Alert>$alert_outage</Alert>";
                echo "<Action>$action_outage</Action>";
                echo "<Advice>$advice_outage</Advice>";
                echo "<RC>warning</RC>";
                break;
	   }
}

exit;
?>




