<?php
//
// Copyright (c) 2012-2014 NetApp, Inc.
// All rights reserved.
//

// VERSION="1.0"

//
// Check SP BMC status
//
$printed = "false";

$query = "SELECT node, status FROM mgwd_sp_status";

$result = dotsql_query($query);
while ($row = dotsql_fetch_object($result)) {
   if ($row->status != "online") {
      if ($printed != "true") {
         echo "<Alert>";
         echo "The SP/BMC on following nodes are not online: $row->node";
         $printed = "true";
      } else {
         echo ", $row->node";
      }
   }
}

if ($printed == "true") {
   echo ".";
   echo "</Alert> <Action>";
   echo "Ensure that SP/BMC on all nodes are online before attempting NDU. ";
   echo "For more details run the command: sp show";
   echo "</Action> <RC>warning</RC>";
   echo "<Advice>Check status of SP/BMC on all nodes in the cluster.</Advice>";
}
exit;
?>
