<?php
//
//  Copyright (c) 2014,2017 NetApp, Inc.
//  All rights reserved.
//

// VERSION="1.0"
// NDU Compatibility for disks

include 'mcc_util.php';

$query = "SELECT disk FROM disk_view WHERE container-type=broken";

$result = dotsql_query($query);
if (dotsql_num_rows($result)) {
    echo "<Alert>There are failed disks in the cluster.</Alert>";
    echo "<Action>To check for failed disks run the command: disk show -container-type broken </Action>";
    echo "<Advice>Check for failed disks in the cluster.</Advice>";

    if (is2NodeMcc()) {
        echo "<RC>error</RC>";
    } else {
        echo "<RC>warning</RC>";
    }
}

exit;
?>
