<?php
//
//  Copyright (c) 2019 NetApp, Inc.
//  All rights reserved.
//
//
// Check if all disks from the same plex belong to the same pool.
//

$queryaggr = "SELECT aggregate, plex FROM aggr_plex";
$resultaggr = dotsql_query($queryaggr);

while ($rowaggr = dotsql_fetch_object($resultaggr)) {
	$aggr = $rowaggr->{'aggregate'};
	$plex = $rowaggr->{'plex'};
	$querydisk = "SELECT pool FROM disk WHERE aggregate = \"$aggr\" AND plex = \"$plex\"";
	$resultdisk = dotsql_query($querydisk);
	if($rowdisk = dotsql_fetch_object($resultdisk)) {
		$temp_pool = $rowdisk->{'pool'};
	}
	while($rowdisk = dotsql_fetch_object($resultdisk)) {
		if ($rowdisk->{'pool'} != $temp_pool) {
			$diffpool = true;
		}
	}
}

if ($diffpool) {
	echo "<Alert>Not all disks from the same plex in an aggregate belong to the same pool. </Alert>";
	echo "<Action>Before starting upgrade, make sure all disks from same RAID plex in an aggregate belong to the same pool in a MetroCluster configuration. </Action>";
	echo "<Advice>All disks from same plex in an aggregate should belong to the same pool in a MetroCluster configuration. </Advice>";
	echo "<RC>warning</RC>";
}

exit;
?>
