<?php
//
//  Copyright (c) 2016 NetApp, Inc.
//  All rights reserved.
//

// VERSION="1.0"

//
// If SAN is enabled, tell the operator to perform manual configurability
// checks using the NetApp Interoperability Matrix Tool.

$query = "SELECT uuid FROM vserver WHERE san-tgt-dev-id != ''";
$result = dotsql_query($query);

if ($row = dotsql_fetch_object($result)) {

	echo "<Alert>Since this cluster is configured for SAN, manually confirm that the SAN configuration is fully supported.</Alert>";
	echo "<Action>Refer to the NetApp Interoperability Matrix Tool for interoperability information.</Action>";
	echo "<Advice>All SAN components-including target Data ONTAP software version, host OS and patches, required Host Utilities software, and adapter drivers and firmware-should be supported.</Advice>";
	echo "<RC>warning</RC>";
}

exit;
?>

